Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QML PathLine Element

The PathLine defines a straight line. More...

This element was introduced in Qt 4.7.

- List of all members, including inherited members

## Properties

- x : real
- y : real

## Detailed Description

The example below creates a path consisting of a straight line from 0,100 to 200,100:

     Path {
         startX: 0; startY: 100
         PathLine { x: 200; y: 100 }
     }

See also Path, PathQuad, and PathCubic.

## Property Documentation

x : real
y : real

Defines the end point of the line.